Subject: Re: bug#24518: 25.2.50; dired-mark-extension with prefix arg fails

From: Tino Calancha <[email-masked]>
Date: Sat, 24 Sep 2016 21:30:11 +0900 (JST)

On Sat, 24 Sep 2016, Eli Zaretskii wrote:

> This loses the feature whereby the user could also specify the
> character to use as the marker.  Try "C-u 65 * . el RET" to see what
> that does.
That feature has never being available since `dired-x' was added to Emacs
in 1994: the bug came from the very first commit.  No user will miss
that feature because nobody ever could use it.

> While using the numeric code of a character sounds like a kludge, the
> current implementation seems to do that deliberately.  It might make 
> sense to use 'c' instead of 'P' there, I think, but your patch totally
> changes the semantics of the prefix argument, so I'm not sure I can 
> endorse such a change.
Sure, we could use 'c' and fix it.  We could provide such feature not working
in >20 years without nobody oppening a bug report.  That sounds like a
not useful feature at all.
People often mark and unmark, but much less people mark with other
marks than ?*.  If they really want that, they still can call the
function non interactively, or use `dired-change-marks'.
Prompting user for the mark character is annoying: 99% of the times i just want
to be asked about the extension
Believe me, using a prefix argument for unmark is very useful.

IMO, my proposal makes a better command:
*) Interactively, this command will handle its optional argument as
    `dired-mark-files-regexp': a prefix argument sets marker-char ?\s, i.e.,
    unmark files.
*) In non interactive calls, the meaning of marker-char is, again, as
    `dired-mark-files-regexp': the character to use for mark the files.

For me this uniform behaviour between these two marking commands is
a very nice thing.